TemplateInitException (Velocity 1.7 API)
Keywords: org.apache.velocity.exception.TemplateInitException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.exception
Class TemplateInitException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.velocity.exception.VelocityException
                      org.apache.velocity.exception.TemplateInitException

All Implemented Interfaces:
  ExtendedParseException, Serializable

public class TemplateInitException
extends VelocityException
implements ExtendedParseException

Exception generated to indicate parse errors caught during directive initialization (e.g. wrong number of arguments)

Since:
  1.5
Version:
  $Id: TemplateInitException.java 685685 2008-08-13 21:43:27Z nbubna $
Author:
  Will Glass-Husain
See Also:
  Serialized Form

Constructor Summary
`TemplateInitException(String msg, ParseException parseException, String templateName, int col, int line)`
`TemplateInitException(String msg, String templateName, int col, int line)`

Method Summary
`int` | `getColumnNumber()` Returns the column number where this exception occured.
`int` | `getLineNumber()` Returns the line number where this exception occured.
`String` | `getTemplateName()` Returns the Template name where this exception occured.

Methods inherited from class org.apache.velocity.exception.VelocityException
`getWrappedThrowable`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TemplateInitException

    public TemplateInitException(String msg,
                                 String templateName,
                                 int col,
                                 int line)

### TemplateInitException

    public TemplateInitException(String msg,
                                 ParseException parseException,
                                 String templateName,
                                 int col,
                                 int line)

Method Detail

### getTemplateName

    public String getTemplateName()

  Returns the Template name where this exception occured.

  Specified by:
    `getTemplateName` in interface `ExtendedParseException`
  Returns:
    the template name

### getLineNumber

    public int getLineNumber()

  Returns the line number where this exception occured.

  Specified by:
    `getLineNumber` in interface `ExtendedParseException`
  Returns:
    the line number

### getColumnNumber

    public int getColumnNumber()

  Returns the column number where this exception occured.

  Specified by:
    `getColumnNumber` in interface `ExtendedParseException`
  Returns:
    the line number

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.